# IO.Swagger.Api.OnpointsApi

All URIs are relative to *https://appwx.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**OnpointsOnpointIdGet**](OnpointsApi.md#onpointsonpointidget) | **GET** /onpoints/{onpointId} | App Weather for an OnPoint™ point.

<a name="onpointsonpointidget"></a>
# **OnpointsOnpointIdGet**
> AppwxOnpointObj OnpointsOnpointIdGet (int? onpointId, List<string> services, List<string> fields, string unitScale = null, string language = null)

App Weather for an OnPoint™ point.

Returns select nowcast and forecast (7-day - daily and hourly) data for an OnPoint™ point.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.  **IMPORTANT:** To authenticate to the Weather Source Nowcast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class OnpointsOnpointIdGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new OnpointsApi();
            var onpointId = 56;  // int? | An OnPoint™ ID.
            var services = new List<string>(); // List<string> | A comma separated list of service names to return.  **Limiting the query to needed services will improve the query response time.** 
            var fields = new List<string>(); // List<string> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.** 
            var unitScale = unitScale_example;  // string | The unit scale for returned values.<br> (optional)  (default to IMPERIAL)
            var language = language_example;  // string | The language for translatable returned values.<br> (optional)  (default to ENGLISH)

            try
            {
                // App Weather for an OnPoint™ point.
                AppwxOnpointObj result = apiInstance.OnpointsOnpointIdGet(onpointId, services, fields, unitScale, language);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling OnpointsApi.OnpointsOnpointIdGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **int?**| An OnPoint™ ID. | 
 **services** | [**List&lt;string&gt;**](string.md)| A comma separated list of service names to return.  **Limiting the query to needed services will improve the query response time.**  | 
 **fields** | [**List&lt;string&gt;**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  | 
 **unitScale** | **string**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]
 **language** | **string**| The language for translatable returned values.&lt;br&gt; | [optional] [default to ENGLISH]

### Return type

[**AppwxOnpointObj**](AppwxOnpointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
