/* 
 * App Weather - A Weather Source API
 *
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using NUnit.Framework;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using IO.Swagger.Api;
using IO.Swagger.Model;
using IO.Swagger.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing ForecastDayObj
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the model.
    /// </remarks>
    [TestFixture]
    public class ForecastDayObjTests
    {
        // TODO uncomment below to declare an instance variable for ForecastDayObj
        //private ForecastDayObj instance;

        /// <summary>
        /// Setup before each test
        /// </summary>
        [SetUp]
        public void Init()
        {
            // TODO uncomment below to create an instance of ForecastDayObj
            //instance = new ForecastDayObj();
        }

        /// <summary>
        /// Clean up after each test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of ForecastDayObj
        /// </summary>
        [Test]
        public void ForecastDayObjInstanceTest()
        {
            // TODO uncomment below to test "IsInstanceOfType" ForecastDayObj
            //Assert.IsInstanceOfType<ForecastDayObj> (instance, "variable 'instance' is a ForecastDayObj");
        }


        /// <summary>
        /// Test the property 'Date'
        /// </summary>
        [Test]
        public void DateTest()
        {
            // TODO unit test for the property 'Date'
        }
        /// <summary>
        /// Test the property 'CldCvrMax'
        /// </summary>
        [Test]
        public void CldCvrMaxTest()
        {
            // TODO unit test for the property 'CldCvrMax'
        }
        /// <summary>
        /// Test the property 'CldCvrMin'
        /// </summary>
        [Test]
        public void CldCvrMinTest()
        {
            // TODO unit test for the property 'CldCvrMin'
        }
        /// <summary>
        /// Test the property 'FeelsLikeMax'
        /// </summary>
        [Test]
        public void FeelsLikeMaxTest()
        {
            // TODO unit test for the property 'FeelsLikeMax'
        }
        /// <summary>
        /// Test the property 'FeelsLikeMin'
        /// </summary>
        [Test]
        public void FeelsLikeMinTest()
        {
            // TODO unit test for the property 'FeelsLikeMin'
        }
        /// <summary>
        /// Test the property 'Icon'
        /// </summary>
        [Test]
        public void IconTest()
        {
            // TODO unit test for the property 'Icon'
        }
        /// <summary>
        /// Test the property 'MoonPhase'
        /// </summary>
        [Test]
        public void MoonPhaseTest()
        {
            // TODO unit test for the property 'MoonPhase'
        }
        /// <summary>
        /// Test the property 'Precip'
        /// </summary>
        [Test]
        public void PrecipTest()
        {
            // TODO unit test for the property 'Precip'
        }
        /// <summary>
        /// Test the property 'PrecipProb'
        /// </summary>
        [Test]
        public void PrecipProbTest()
        {
            // TODO unit test for the property 'PrecipProb'
        }
        /// <summary>
        /// Test the property 'RelHumMax'
        /// </summary>
        [Test]
        public void RelHumMaxTest()
        {
            // TODO unit test for the property 'RelHumMax'
        }
        /// <summary>
        /// Test the property 'RelHumMin'
        /// </summary>
        [Test]
        public void RelHumMinTest()
        {
            // TODO unit test for the property 'RelHumMin'
        }
        /// <summary>
        /// Test the property 'Snowfall'
        /// </summary>
        [Test]
        public void SnowfallTest()
        {
            // TODO unit test for the property 'Snowfall'
        }
        /// <summary>
        /// Test the property 'SnowfallProb'
        /// </summary>
        [Test]
        public void SnowfallProbTest()
        {
            // TODO unit test for the property 'SnowfallProb'
        }
        /// <summary>
        /// Test the property 'Summary'
        /// </summary>
        [Test]
        public void SummaryTest()
        {
            // TODO unit test for the property 'Summary'
        }
        /// <summary>
        /// Test the property 'SummaryLong'
        /// </summary>
        [Test]
        public void SummaryLongTest()
        {
            // TODO unit test for the property 'SummaryLong'
        }
        /// <summary>
        /// Test the property 'Sunrise'
        /// </summary>
        [Test]
        public void SunriseTest()
        {
            // TODO unit test for the property 'Sunrise'
        }
        /// <summary>
        /// Test the property 'Sunset'
        /// </summary>
        [Test]
        public void SunsetTest()
        {
            // TODO unit test for the property 'Sunset'
        }
        /// <summary>
        /// Test the property 'TempMax'
        /// </summary>
        [Test]
        public void TempMaxTest()
        {
            // TODO unit test for the property 'TempMax'
        }
        /// <summary>
        /// Test the property 'TempMin'
        /// </summary>
        [Test]
        public void TempMinTest()
        {
            // TODO unit test for the property 'TempMin'
        }
        /// <summary>
        /// Test the property 'WindDirAvg'
        /// </summary>
        [Test]
        public void WindDirAvgTest()
        {
            // TODO unit test for the property 'WindDirAvg'
        }
        /// <summary>
        /// Test the property 'WindSpdMin'
        /// </summary>
        [Test]
        public void WindSpdMinTest()
        {
            // TODO unit test for the property 'WindSpdMin'
        }
        /// <summary>
        /// Test the property 'WindSpdMax'
        /// </summary>
        [Test]
        public void WindSpdMaxTest()
        {
            // TODO unit test for the property 'WindSpdMax'
        }

    }

}
