/* 
 * App Weather - A Weather Source API
 *
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using NUnit.Framework;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using IO.Swagger.Api;
using IO.Swagger.Model;
using IO.Swagger.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing ForecastHourObj
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the model.
    /// </remarks>
    [TestFixture]
    public class ForecastHourObjTests
    {
        // TODO uncomment below to declare an instance variable for ForecastHourObj
        //private ForecastHourObj instance;

        /// <summary>
        /// Setup before each test
        /// </summary>
        [SetUp]
        public void Init()
        {
            // TODO uncomment below to create an instance of ForecastHourObj
            //instance = new ForecastHourObj();
        }

        /// <summary>
        /// Clean up after each test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of ForecastHourObj
        /// </summary>
        [Test]
        public void ForecastHourObjInstanceTest()
        {
            // TODO uncomment below to test "IsInstanceOfType" ForecastHourObj
            //Assert.IsInstanceOfType<ForecastHourObj> (instance, "variable 'instance' is a ForecastHourObj");
        }


        /// <summary>
        /// Test the property 'Timestamp'
        /// </summary>
        [Test]
        public void TimestampTest()
        {
            // TODO unit test for the property 'Timestamp'
        }
        /// <summary>
        /// Test the property 'CldCvr'
        /// </summary>
        [Test]
        public void CldCvrTest()
        {
            // TODO unit test for the property 'CldCvr'
        }
        /// <summary>
        /// Test the property 'FeelsLike'
        /// </summary>
        [Test]
        public void FeelsLikeTest()
        {
            // TODO unit test for the property 'FeelsLike'
        }
        /// <summary>
        /// Test the property 'Icon'
        /// </summary>
        [Test]
        public void IconTest()
        {
            // TODO unit test for the property 'Icon'
        }
        /// <summary>
        /// Test the property 'Precip'
        /// </summary>
        [Test]
        public void PrecipTest()
        {
            // TODO unit test for the property 'Precip'
        }
        /// <summary>
        /// Test the property 'PrecipProb'
        /// </summary>
        [Test]
        public void PrecipProbTest()
        {
            // TODO unit test for the property 'PrecipProb'
        }
        /// <summary>
        /// Test the property 'RelHum'
        /// </summary>
        [Test]
        public void RelHumTest()
        {
            // TODO unit test for the property 'RelHum'
        }
        /// <summary>
        /// Test the property 'Snowfall'
        /// </summary>
        [Test]
        public void SnowfallTest()
        {
            // TODO unit test for the property 'Snowfall'
        }
        /// <summary>
        /// Test the property 'SnowfallProb'
        /// </summary>
        [Test]
        public void SnowfallProbTest()
        {
            // TODO unit test for the property 'SnowfallProb'
        }
        /// <summary>
        /// Test the property 'Summary'
        /// </summary>
        [Test]
        public void SummaryTest()
        {
            // TODO unit test for the property 'Summary'
        }
        /// <summary>
        /// Test the property 'Temp'
        /// </summary>
        [Test]
        public void TempTest()
        {
            // TODO unit test for the property 'Temp'
        }
        /// <summary>
        /// Test the property 'WindDir'
        /// </summary>
        [Test]
        public void WindDirTest()
        {
            // TODO unit test for the property 'WindDir'
        }
        /// <summary>
        /// Test the property 'WindSpd'
        /// </summary>
        [Test]
        public void WindSpdTest()
        {
            // TODO unit test for the property 'WindSpd'
        }

    }

}
