/* 
 * App Weather - A Weather Source API
 *
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using NUnit.Framework;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using IO.Swagger.Api;
using IO.Swagger.Model;
using IO.Swagger.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing NowcastObj
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the model.
    /// </remarks>
    [TestFixture]
    public class NowcastObjTests
    {
        // TODO uncomment below to declare an instance variable for NowcastObj
        //private NowcastObj instance;

        /// <summary>
        /// Setup before each test
        /// </summary>
        [SetUp]
        public void Init()
        {
            // TODO uncomment below to create an instance of NowcastObj
            //instance = new NowcastObj();
        }

        /// <summary>
        /// Clean up after each test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of NowcastObj
        /// </summary>
        [Test]
        public void NowcastObjInstanceTest()
        {
            // TODO uncomment below to test "IsInstanceOfType" NowcastObj
            //Assert.IsInstanceOfType<NowcastObj> (instance, "variable 'instance' is a NowcastObj");
        }


        /// <summary>
        /// Test the property 'Timestamp'
        /// </summary>
        [Test]
        public void TimestampTest()
        {
            // TODO unit test for the property 'Timestamp'
        }
        /// <summary>
        /// Test the property 'CivilRise'
        /// </summary>
        [Test]
        public void CivilRiseTest()
        {
            // TODO unit test for the property 'CivilRise'
        }
        /// <summary>
        /// Test the property 'CivilSet'
        /// </summary>
        [Test]
        public void CivilSetTest()
        {
            // TODO unit test for the property 'CivilSet'
        }
        /// <summary>
        /// Test the property 'CldCvr'
        /// </summary>
        [Test]
        public void CldCvrTest()
        {
            // TODO unit test for the property 'CldCvr'
        }
        /// <summary>
        /// Test the property 'FeelsLike'
        /// </summary>
        [Test]
        public void FeelsLikeTest()
        {
            // TODO unit test for the property 'FeelsLike'
        }
        /// <summary>
        /// Test the property 'Icon'
        /// </summary>
        [Test]
        public void IconTest()
        {
            // TODO unit test for the property 'Icon'
        }
        /// <summary>
        /// Test the property 'MoonPhase'
        /// </summary>
        [Test]
        public void MoonPhaseTest()
        {
            // TODO unit test for the property 'MoonPhase'
        }
        /// <summary>
        /// Test the property 'PrecipFlag'
        /// </summary>
        [Test]
        public void PrecipFlagTest()
        {
            // TODO unit test for the property 'PrecipFlag'
        }
        /// <summary>
        /// Test the property 'PrecipIntensity'
        /// </summary>
        [Test]
        public void PrecipIntensityTest()
        {
            // TODO unit test for the property 'PrecipIntensity'
        }
        /// <summary>
        /// Test the property 'RelHum'
        /// </summary>
        [Test]
        public void RelHumTest()
        {
            // TODO unit test for the property 'RelHum'
        }
        /// <summary>
        /// Test the property 'SnowfallFlag'
        /// </summary>
        [Test]
        public void SnowfallFlagTest()
        {
            // TODO unit test for the property 'SnowfallFlag'
        }
        /// <summary>
        /// Test the property 'SnowfallIntensity'
        /// </summary>
        [Test]
        public void SnowfallIntensityTest()
        {
            // TODO unit test for the property 'SnowfallIntensity'
        }
        /// <summary>
        /// Test the property 'Summary'
        /// </summary>
        [Test]
        public void SummaryTest()
        {
            // TODO unit test for the property 'Summary'
        }
        /// <summary>
        /// Test the property 'SummaryLong'
        /// </summary>
        [Test]
        public void SummaryLongTest()
        {
            // TODO unit test for the property 'SummaryLong'
        }
        /// <summary>
        /// Test the property 'SunTransit'
        /// </summary>
        [Test]
        public void SunTransitTest()
        {
            // TODO unit test for the property 'SunTransit'
        }
        /// <summary>
        /// Test the property 'Sunrise'
        /// </summary>
        [Test]
        public void SunriseTest()
        {
            // TODO unit test for the property 'Sunrise'
        }
        /// <summary>
        /// Test the property 'Sunset'
        /// </summary>
        [Test]
        public void SunsetTest()
        {
            // TODO unit test for the property 'Sunset'
        }
        /// <summary>
        /// Test the property 'Temp'
        /// </summary>
        [Test]
        public void TempTest()
        {
            // TODO unit test for the property 'Temp'
        }
        /// <summary>
        /// Test the property 'TempMax'
        /// </summary>
        [Test]
        public void TempMaxTest()
        {
            // TODO unit test for the property 'TempMax'
        }
        /// <summary>
        /// Test the property 'TempMin'
        /// </summary>
        [Test]
        public void TempMinTest()
        {
            // TODO unit test for the property 'TempMin'
        }
        /// <summary>
        /// Test the property 'WindDir'
        /// </summary>
        [Test]
        public void WindDirTest()
        {
            // TODO unit test for the property 'WindDir'
        }
        /// <summary>
        /// Test the property 'WindSpd'
        /// </summary>
        [Test]
        public void WindSpdTest()
        {
            // TODO unit test for the property 'WindSpd'
        }

    }

}
