/* 
 * App Weather - A Weather Source API
 *
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using NUnit.Framework;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using IO.Swagger.Api;
using IO.Swagger.Model;
using IO.Swagger.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing OnpointObj
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the model.
    /// </remarks>
    [TestFixture]
    public class OnpointObjTests
    {
        // TODO uncomment below to declare an instance variable for OnpointObj
        //private OnpointObj instance;

        /// <summary>
        /// Setup before each test
        /// </summary>
        [SetUp]
        public void Init()
        {
            // TODO uncomment below to create an instance of OnpointObj
            //instance = new OnpointObj();
        }

        /// <summary>
        /// Clean up after each test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of OnpointObj
        /// </summary>
        [Test]
        public void OnpointObjInstanceTest()
        {
            // TODO uncomment below to test "IsInstanceOfType" OnpointObj
            //Assert.IsInstanceOfType<OnpointObj> (instance, "variable 'instance' is a OnpointObj");
        }


        /// <summary>
        /// Test the property 'OnpointId'
        /// </summary>
        [Test]
        public void OnpointIdTest()
        {
            // TODO unit test for the property 'OnpointId'
        }
        /// <summary>
        /// Test the property 'Latitude'
        /// </summary>
        [Test]
        public void LatitudeTest()
        {
            // TODO unit test for the property 'Latitude'
        }
        /// <summary>
        /// Test the property 'Longitude'
        /// </summary>
        [Test]
        public void LongitudeTest()
        {
            // TODO unit test for the property 'Longitude'
        }
        /// <summary>
        /// Test the property 'Timezone'
        /// </summary>
        [Test]
        public void TimezoneTest()
        {
            // TODO unit test for the property 'Timezone'
        }
        /// <summary>
        /// Test the property 'CountryCode'
        /// </summary>
        [Test]
        public void CountryCodeTest()
        {
            // TODO unit test for the property 'CountryCode'
        }
        /// <summary>
        /// Test the property 'CountryName'
        /// </summary>
        [Test]
        public void CountryNameTest()
        {
            // TODO unit test for the property 'CountryName'
        }
        /// <summary>
        /// Test the property 'SubdivCode'
        /// </summary>
        [Test]
        public void SubdivCodeTest()
        {
            // TODO unit test for the property 'SubdivCode'
        }
        /// <summary>
        /// Test the property 'SubdivName'
        /// </summary>
        [Test]
        public void SubdivNameTest()
        {
            // TODO unit test for the property 'SubdivName'
        }
        /// <summary>
        /// Test the property 'Grid'
        /// </summary>
        [Test]
        public void GridTest()
        {
            // TODO unit test for the property 'Grid'
        }
        /// <summary>
        /// Test the property 'Elevation'
        /// </summary>
        [Test]
        public void ElevationTest()
        {
            // TODO unit test for the property 'Elevation'
        }

    }

}
