/* 
 * App Weather - A Weather Source API
 *
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = IO.Swagger.Client.SwaggerDateConverter;

namespace IO.Swagger.Model
{
    /// <summary>
    /// A daily weather forecast object.
    /// </summary>
    [DataContract]
        public partial class ForecastDayObj :  IEquatable<ForecastDayObj>, IValidatableObject
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ForecastDayObj" /> class.
        /// </summary>
        /// <param name="date">date (required).</param>
        /// <param name="cldCvrMax">cldCvrMax.</param>
        /// <param name="cldCvrMin">cldCvrMin.</param>
        /// <param name="feelsLikeMax">feelsLikeMax.</param>
        /// <param name="feelsLikeMin">feelsLikeMin.</param>
        /// <param name="icon">icon.</param>
        /// <param name="moonPhase">moonPhase.</param>
        /// <param name="precip">precip.</param>
        /// <param name="precipProb">precipProb.</param>
        /// <param name="relHumMax">relHumMax.</param>
        /// <param name="relHumMin">relHumMin.</param>
        /// <param name="snowfall">snowfall.</param>
        /// <param name="snowfallProb">snowfallProb.</param>
        /// <param name="summary">summary.</param>
        /// <param name="summaryLong">summaryLong.</param>
        /// <param name="sunrise">sunrise.</param>
        /// <param name="sunset">sunset.</param>
        /// <param name="tempMax">tempMax.</param>
        /// <param name="tempMin">tempMin.</param>
        /// <param name="windDirAvg">windDirAvg.</param>
        /// <param name="windSpdMin">windSpdMin.</param>
        /// <param name="windSpdMax">windSpdMax.</param>
        public ForecastDayObj(DateTime? date = default(DateTime?), float? cldCvrMax = default(float?), float? cldCvrMin = default(float?), float? feelsLikeMax = default(float?), float? feelsLikeMin = default(float?), string icon = default(string), string moonPhase = default(string), float? precip = default(float?), float? precipProb = default(float?), float? relHumMax = default(float?), float? relHumMin = default(float?), float? snowfall = default(float?), float? snowfallProb = default(float?), string summary = default(string), string summaryLong = default(string), DateTime? sunrise = default(DateTime?), DateTime? sunset = default(DateTime?), float? tempMax = default(float?), float? tempMin = default(float?), string windDirAvg = default(string), float? windSpdMin = default(float?), float? windSpdMax = default(float?))
        {
            // to ensure "date" is required (not null)
            if (date == null)
            {
                throw new InvalidDataException("date is a required property for ForecastDayObj and cannot be null");
            }
            else
            {
                this.Date = date;
            }
            this.CldCvrMax = cldCvrMax;
            this.CldCvrMin = cldCvrMin;
            this.FeelsLikeMax = feelsLikeMax;
            this.FeelsLikeMin = feelsLikeMin;
            this.Icon = icon;
            this.MoonPhase = moonPhase;
            this.Precip = precip;
            this.PrecipProb = precipProb;
            this.RelHumMax = relHumMax;
            this.RelHumMin = relHumMin;
            this.Snowfall = snowfall;
            this.SnowfallProb = snowfallProb;
            this.Summary = summary;
            this.SummaryLong = summaryLong;
            this.Sunrise = sunrise;
            this.Sunset = sunset;
            this.TempMax = tempMax;
            this.TempMin = tempMin;
            this.WindDirAvg = windDirAvg;
            this.WindSpdMin = windSpdMin;
            this.WindSpdMax = windSpdMax;
        }
        
        /// <summary>
        /// Gets or Sets Date
        /// </summary>
        [DataMember(Name="date", EmitDefaultValue=false)]
        public DateTime? Date { get; set; }

        /// <summary>
        /// Gets or Sets CldCvrMax
        /// </summary>
        [DataMember(Name="cldCvrMax", EmitDefaultValue=false)]
        public float? CldCvrMax { get; set; }

        /// <summary>
        /// Gets or Sets CldCvrMin
        /// </summary>
        [DataMember(Name="cldCvrMin", EmitDefaultValue=false)]
        public float? CldCvrMin { get; set; }

        /// <summary>
        /// Gets or Sets FeelsLikeMax
        /// </summary>
        [DataMember(Name="feelsLikeMax", EmitDefaultValue=false)]
        public float? FeelsLikeMax { get; set; }

        /// <summary>
        /// Gets or Sets FeelsLikeMin
        /// </summary>
        [DataMember(Name="feelsLikeMin", EmitDefaultValue=false)]
        public float? FeelsLikeMin { get; set; }

        /// <summary>
        /// Gets or Sets Icon
        /// </summary>
        [DataMember(Name="icon", EmitDefaultValue=false)]
        public string Icon { get; set; }

        /// <summary>
        /// Gets or Sets MoonPhase
        /// </summary>
        [DataMember(Name="moonPhase", EmitDefaultValue=false)]
        public string MoonPhase { get; set; }

        /// <summary>
        /// Gets or Sets Precip
        /// </summary>
        [DataMember(Name="precip", EmitDefaultValue=false)]
        public float? Precip { get; set; }

        /// <summary>
        /// Gets or Sets PrecipProb
        /// </summary>
        [DataMember(Name="precipProb", EmitDefaultValue=false)]
        public float? PrecipProb { get; set; }

        /// <summary>
        /// Gets or Sets RelHumMax
        /// </summary>
        [DataMember(Name="relHumMax", EmitDefaultValue=false)]
        public float? RelHumMax { get; set; }

        /// <summary>
        /// Gets or Sets RelHumMin
        /// </summary>
        [DataMember(Name="relHumMin", EmitDefaultValue=false)]
        public float? RelHumMin { get; set; }

        /// <summary>
        /// Gets or Sets Snowfall
        /// </summary>
        [DataMember(Name="snowfall", EmitDefaultValue=false)]
        public float? Snowfall { get; set; }

        /// <summary>
        /// Gets or Sets SnowfallProb
        /// </summary>
        [DataMember(Name="snowfallProb", EmitDefaultValue=false)]
        public float? SnowfallProb { get; set; }

        /// <summary>
        /// Gets or Sets Summary
        /// </summary>
        [DataMember(Name="summary", EmitDefaultValue=false)]
        public string Summary { get; set; }

        /// <summary>
        /// Gets or Sets SummaryLong
        /// </summary>
        [DataMember(Name="summaryLong", EmitDefaultValue=false)]
        public string SummaryLong { get; set; }

        /// <summary>
        /// Gets or Sets Sunrise
        /// </summary>
        [DataMember(Name="sunrise", EmitDefaultValue=false)]
        public DateTime? Sunrise { get; set; }

        /// <summary>
        /// Gets or Sets Sunset
        /// </summary>
        [DataMember(Name="sunset", EmitDefaultValue=false)]
        public DateTime? Sunset { get; set; }

        /// <summary>
        /// Gets or Sets TempMax
        /// </summary>
        [DataMember(Name="tempMax", EmitDefaultValue=false)]
        public float? TempMax { get; set; }

        /// <summary>
        /// Gets or Sets TempMin
        /// </summary>
        [DataMember(Name="tempMin", EmitDefaultValue=false)]
        public float? TempMin { get; set; }

        /// <summary>
        /// Gets or Sets WindDirAvg
        /// </summary>
        [DataMember(Name="windDirAvg", EmitDefaultValue=false)]
        public string WindDirAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindSpdMin
        /// </summary>
        [DataMember(Name="windSpdMin", EmitDefaultValue=false)]
        public float? WindSpdMin { get; set; }

        /// <summary>
        /// Gets or Sets WindSpdMax
        /// </summary>
        [DataMember(Name="windSpdMax", EmitDefaultValue=false)]
        public float? WindSpdMax { get; set; }

        /// <summary>
        /// Returns the string presentation of the object
        /// </summary>
        /// <returns>String presentation of the object</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class ForecastDayObj {\n");
            sb.Append("  Date: ").Append(Date).Append("\n");
            sb.Append("  CldCvrMax: ").Append(CldCvrMax).Append("\n");
            sb.Append("  CldCvrMin: ").Append(CldCvrMin).Append("\n");
            sb.Append("  FeelsLikeMax: ").Append(FeelsLikeMax).Append("\n");
            sb.Append("  FeelsLikeMin: ").Append(FeelsLikeMin).Append("\n");
            sb.Append("  Icon: ").Append(Icon).Append("\n");
            sb.Append("  MoonPhase: ").Append(MoonPhase).Append("\n");
            sb.Append("  Precip: ").Append(Precip).Append("\n");
            sb.Append("  PrecipProb: ").Append(PrecipProb).Append("\n");
            sb.Append("  RelHumMax: ").Append(RelHumMax).Append("\n");
            sb.Append("  RelHumMin: ").Append(RelHumMin).Append("\n");
            sb.Append("  Snowfall: ").Append(Snowfall).Append("\n");
            sb.Append("  SnowfallProb: ").Append(SnowfallProb).Append("\n");
            sb.Append("  Summary: ").Append(Summary).Append("\n");
            sb.Append("  SummaryLong: ").Append(SummaryLong).Append("\n");
            sb.Append("  Sunrise: ").Append(Sunrise).Append("\n");
            sb.Append("  Sunset: ").Append(Sunset).Append("\n");
            sb.Append("  TempMax: ").Append(TempMax).Append("\n");
            sb.Append("  TempMin: ").Append(TempMin).Append("\n");
            sb.Append("  WindDirAvg: ").Append(WindDirAvg).Append("\n");
            sb.Append("  WindSpdMin: ").Append(WindSpdMin).Append("\n");
            sb.Append("  WindSpdMax: ").Append(WindSpdMax).Append("\n");
            sb.Append("}\n");
            return sb.ToString();
        }
  
        /// <summary>
        /// Returns the JSON string presentation of the object
        /// </summary>
        /// <returns>JSON string presentation of the object</returns>
        public virtual string ToJson()
        {
            return JsonConvert.SerializeObject(this, Formatting.Indented);
        }

        /// <summary>
        /// Returns true if objects are equal
        /// </summary>
        /// <param name="input">Object to be compared</param>
        /// <returns>Boolean</returns>
        public override bool Equals(object input)
        {
            return this.Equals(input as ForecastDayObj);
        }

        /// <summary>
        /// Returns true if ForecastDayObj instances are equal
        /// </summary>
        /// <param name="input">Instance of ForecastDayObj to be compared</param>
        /// <returns>Boolean</returns>
        public bool Equals(ForecastDayObj input)
        {
            if (input == null)
                return false;

            return 
                (
                    this.Date == input.Date ||
                    (this.Date != null &&
                    this.Date.Equals(input.Date))
                ) && 
                (
                    this.CldCvrMax == input.CldCvrMax ||
                    (this.CldCvrMax != null &&
                    this.CldCvrMax.Equals(input.CldCvrMax))
                ) && 
                (
                    this.CldCvrMin == input.CldCvrMin ||
                    (this.CldCvrMin != null &&
                    this.CldCvrMin.Equals(input.CldCvrMin))
                ) && 
                (
                    this.FeelsLikeMax == input.FeelsLikeMax ||
                    (this.FeelsLikeMax != null &&
                    this.FeelsLikeMax.Equals(input.FeelsLikeMax))
                ) && 
                (
                    this.FeelsLikeMin == input.FeelsLikeMin ||
                    (this.FeelsLikeMin != null &&
                    this.FeelsLikeMin.Equals(input.FeelsLikeMin))
                ) && 
                (
                    this.Icon == input.Icon ||
                    (this.Icon != null &&
                    this.Icon.Equals(input.Icon))
                ) && 
                (
                    this.MoonPhase == input.MoonPhase ||
                    (this.MoonPhase != null &&
                    this.MoonPhase.Equals(input.MoonPhase))
                ) && 
                (
                    this.Precip == input.Precip ||
                    (this.Precip != null &&
                    this.Precip.Equals(input.Precip))
                ) && 
                (
                    this.PrecipProb == input.PrecipProb ||
                    (this.PrecipProb != null &&
                    this.PrecipProb.Equals(input.PrecipProb))
                ) && 
                (
                    this.RelHumMax == input.RelHumMax ||
                    (this.RelHumMax != null &&
                    this.RelHumMax.Equals(input.RelHumMax))
                ) && 
                (
                    this.RelHumMin == input.RelHumMin ||
                    (this.RelHumMin != null &&
                    this.RelHumMin.Equals(input.RelHumMin))
                ) && 
                (
                    this.Snowfall == input.Snowfall ||
                    (this.Snowfall != null &&
                    this.Snowfall.Equals(input.Snowfall))
                ) && 
                (
                    this.SnowfallProb == input.SnowfallProb ||
                    (this.SnowfallProb != null &&
                    this.SnowfallProb.Equals(input.SnowfallProb))
                ) && 
                (
                    this.Summary == input.Summary ||
                    (this.Summary != null &&
                    this.Summary.Equals(input.Summary))
                ) && 
                (
                    this.SummaryLong == input.SummaryLong ||
                    (this.SummaryLong != null &&
                    this.SummaryLong.Equals(input.SummaryLong))
                ) && 
                (
                    this.Sunrise == input.Sunrise ||
                    (this.Sunrise != null &&
                    this.Sunrise.Equals(input.Sunrise))
                ) && 
                (
                    this.Sunset == input.Sunset ||
                    (this.Sunset != null &&
                    this.Sunset.Equals(input.Sunset))
                ) && 
                (
                    this.TempMax == input.TempMax ||
                    (this.TempMax != null &&
                    this.TempMax.Equals(input.TempMax))
                ) && 
                (
                    this.TempMin == input.TempMin ||
                    (this.TempMin != null &&
                    this.TempMin.Equals(input.TempMin))
                ) && 
                (
                    this.WindDirAvg == input.WindDirAvg ||
                    (this.WindDirAvg != null &&
                    this.WindDirAvg.Equals(input.WindDirAvg))
                ) && 
                (
                    this.WindSpdMin == input.WindSpdMin ||
                    (this.WindSpdMin != null &&
                    this.WindSpdMin.Equals(input.WindSpdMin))
                ) && 
                (
                    this.WindSpdMax == input.WindSpdMax ||
                    (this.WindSpdMax != null &&
                    this.WindSpdMax.Equals(input.WindSpdMax))
                );
        }

        /// <summary>
        /// Gets the hash code
        /// </summary>
        /// <returns>Hash code</returns>
        public override int GetHashCode()
        {
            unchecked // Overflow is fine, just wrap
            {
                int hashCode = 41;
                if (this.Date != null)
                    hashCode = hashCode * 59 + this.Date.GetHashCode();
                if (this.CldCvrMax != null)
                    hashCode = hashCode * 59 + this.CldCvrMax.GetHashCode();
                if (this.CldCvrMin != null)
                    hashCode = hashCode * 59 + this.CldCvrMin.GetHashCode();
                if (this.FeelsLikeMax != null)
                    hashCode = hashCode * 59 + this.FeelsLikeMax.GetHashCode();
                if (this.FeelsLikeMin != null)
                    hashCode = hashCode * 59 + this.FeelsLikeMin.GetHashCode();
                if (this.Icon != null)
                    hashCode = hashCode * 59 + this.Icon.GetHashCode();
                if (this.MoonPhase != null)
                    hashCode = hashCode * 59 + this.MoonPhase.GetHashCode();
                if (this.Precip != null)
                    hashCode = hashCode * 59 + this.Precip.GetHashCode();
                if (this.PrecipProb != null)
                    hashCode = hashCode * 59 + this.PrecipProb.GetHashCode();
                if (this.RelHumMax != null)
                    hashCode = hashCode * 59 + this.RelHumMax.GetHashCode();
                if (this.RelHumMin != null)
                    hashCode = hashCode * 59 + this.RelHumMin.GetHashCode();
                if (this.Snowfall != null)
                    hashCode = hashCode * 59 + this.Snowfall.GetHashCode();
                if (this.SnowfallProb != null)
                    hashCode = hashCode * 59 + this.SnowfallProb.GetHashCode();
                if (this.Summary != null)
                    hashCode = hashCode * 59 + this.Summary.GetHashCode();
                if (this.SummaryLong != null)
                    hashCode = hashCode * 59 + this.SummaryLong.GetHashCode();
                if (this.Sunrise != null)
                    hashCode = hashCode * 59 + this.Sunrise.GetHashCode();
                if (this.Sunset != null)
                    hashCode = hashCode * 59 + this.Sunset.GetHashCode();
                if (this.TempMax != null)
                    hashCode = hashCode * 59 + this.TempMax.GetHashCode();
                if (this.TempMin != null)
                    hashCode = hashCode * 59 + this.TempMin.GetHashCode();
                if (this.WindDirAvg != null)
                    hashCode = hashCode * 59 + this.WindDirAvg.GetHashCode();
                if (this.WindSpdMin != null)
                    hashCode = hashCode * 59 + this.WindSpdMin.GetHashCode();
                if (this.WindSpdMax != null)
                    hashCode = hashCode * 59 + this.WindSpdMax.GetHashCode();
                return hashCode;
            }
        }

        /// <summary>
        /// To validate all properties of the instance
        /// </summary>
        /// <param name="validationContext">Validation context</param>
        /// <returns>Validation Result</returns>
        IEnumerable<System.ComponentModel.DataAnnotations.ValidationResult> IValidatableObject.Validate(ValidationContext validationContext)
        {
            yield break;
        }
    }
}
